#version 130

in vec3 vertex;
in vec3 normal;
uniform vec4 color;

uniform mat4 projectionMatrix;
uniform mat4 modelMatrix;
uniform mat4 viewMatrix;
const vec3 lightDir = vec3(-0.5,1.0,1.0);

out vec4 theColor;
out vec4 fpos;
void main() { 

	mat4 mvpMatrix=projectionMatrix*viewMatrix*modelMatrix;
	
    gl_Position = mvpMatrix*vec4(vertex,1.0);
    fpos = gl_Position;
    
    
    vec3 normalOk = vec3(modelMatrix * vec4(normal, 0));
    
    float cosTheta = clamp( dot( normalOk,lightDir ), 0, 1);
    
    // dampen the calculated lighting with the normal color to add a strong ambient component
	//theColor = color*(0.5+ (0.5 * cosTheta)) *0.9;
	
	theColor = color;
	
	// ripristinate alpha
	theColor.w = color.w;
}
